# $Revision: 1.23 $, $Date: 2011/04/17 19:05:29 $
Summary:	XML 1.0 parser - Ming32 cross version
Summary(pl.UTF-8):	Analizator składni XML-a 1.0 - wersja skrośna dla Ming32
%define		realname		expat
Name:		crossmingw32-%{realname}
Version:	2.0.1
Release:	2
License:	Thai Open Source Software Center Ltd (distributable)
Group:		Development/Libraries
Source0:	http://dl.sourceforge.net/expat/%{realname}-%{version}.tar.gz
# Source0-md5:	ee8b492592568805593f81f8cdf2a04c
Patch0:		%{realname}-ac_fixes.patch
Patch1:		%{realname}-soname.patch
URL:		http://expat.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	crossmingw32-gcc
BuildRequires:	libtool
Requires:	crossmingw32-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld	-Wl,-z,.*

%description
Expat is an XML parser written in C. It aims to be fully conforming.
It is currently not a validating XML parser.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Expat to napisany w języku C analizator składni XML-a. Dąży do pełnej
zgodności ze specyfikacją. Aktualnie nie jest analizatorem, który
potwiedzał by zgodność ze specyfikacją.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static expat library (cross mingw32 version)
Summary(pl.UTF-8):	Statyczna biblioteka expat (wersja skrośna mingw32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static expat library (cross mingw32 version).

%description static -l pl.UTF-8
Statyczna biblioteka expat (wersja skrośna mingw32).

%package dll
Summary:	DLL expat library for Windows
Summary(pl.UTF-8):	Biblioteka DLL expat dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
DLL expat library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL expat dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%configure \
	--target=%{target} \
	--host=%{target}

%{__make} buildlib

%install
rm -rf $RPM_BUILD_ROOT

%{__make} installlib \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

rm -rf $RPM_BUILD_ROOT%{_datadir}/man

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_libdir}/libexpat.dll.a
%{_libdir}/libexpat.la
%{_includedir}/expat*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libexpat.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libexpat-0.dll

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: crossmingw32-expat.spec,v $
Revision 1.23  2011/04/17 19:05:29  qboosh
- updated CFLAGS/LDFLAGS hacks
- release 2

Revision 1.22  2010/01/22 01:33:43  lkrotowski
- build and install only library

Revision 1.21  2008/01/14 19:28:19  qboosh
- force %{_lib}-independent libdir

Revision 1.20  2007/06/14 16:15:28  qboosh
- updated to 2.0.1

Revision 1.19  2007/03/06 14:40:36  qboosh
- cleanups, separated -static,-dll

Revision 1.18  2007/02/25 15:06:22  czarny
- proper shared + static build

Revision 1.17  2007/02/20 18:53:30  czarny
- cleaned up
- pkg config dir

Revision 1.16  2007/02/12 21:23:51  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:43  baggins
- converted to UTF-8

Revision 1.14  2006/04/18 21:35:14  qboosh
- updated to 2.0.0

Revision 1.13  2004/08/30 18:07:24  snurf
- typo / formatting / etc.

Revision 1.12  2004/08/15 10:59:26  wolf
- magic alphasparc fix
- rel 3

Revision 1.11  2004/08/14 09:38:05  averne
- rel 2

Revision 1.10  2004/07/25 11:42:50  qboosh
- updated to 1.95.8

Revision 1.9  2004/02/23 22:08:59  ankry
- pl fixes, cosmetics

Revision 1.8  2003/12/01 21:22:15  qboosh
- 644 for .dll

Revision 1.7  2003/12/01 20:28:34  qboosh
- standard buildroot

Revision 1.6  2003/12/01 19:47:07  qboosh
- strip libs

Revision 1.5  2003/12/01 00:04:11  qboosh
- updated to 1.99.7, simplified macros, fixed files

Revision 1.4  2003/08/27 14:35:02  ggodlewski
- corrected rel. and epoch

Revision 1.3  2003/08/25 20:37:44  ggodlewski
- removed wrong obsoletes

Revision 1.2  2003/08/25 19:02:51  ankry
- full translation

Revision 1.1  2003/08/25 16:19:27  ggodlewski
- Initial release
